PlacementConstraint.And (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.resource, class: PlacementConstraint, class: And

Package org.apache.hadoop.yarn.api.resource

# Class PlacementConstraint.And

java.lang.Object
org.apache.hadoop.yarn.api.resource.PlacementConstraint.AbstractConstraint
org.apache.hadoop.yarn.api.resource.PlacementConstraint.CompositeConstraint<PlacementConstraint.AbstractConstraint>
org.apache.hadoop.yarn.api.resource.PlacementConstraint.And

All Implemented Interfaces:
  `PlacementConstraint.Visitable`

Enclosing class:
  PlacementConstraint

public static class PlacementConstraint.And extends PlacementConstraint.CompositeConstraint<PlacementConstraint.AbstractConstraint>
Class that represents a composite constraint that is a conjunction of other constraints.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `And(List<PlacementConstraint.AbstractConstraint> children)`
  `And(PlacementConstraint.AbstractConstraint... children)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<T> T`
  `accept(PlacementConstraint.Visitor<T> visitor)`
  Visitor pattern.
  `List<PlacementConstraint.AbstractConstraint>`
  `getChildren()`
  Get the children of this composite constraint.
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.yarn.api.resource.PlacementConstraint.CompositeConstraint

  `equals, hashCode`

  ### Methods inherited from class org.apache.hadoop.yarn.api.resource.PlacementConstraint.AbstractConstraint

  `build`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### And

    public And(List<PlacementConstraint.AbstractConstraint> children)

  - ### And

    public And(PlacementConstraint.AbstractConstraint... children)

- ## Method Details

  - ### getChildren

    public List<PlacementConstraint.AbstractConstraint> getChildren()
    Description copied from class: `PlacementConstraint.CompositeConstraint`
    Get the children of this composite constraint.
    Specified by:
      `getChildren` in class `PlacementConstraint.CompositeConstraint<PlacementConstraint.AbstractConstraint>`
    Returns:
      the children of the composite constraint

  - ### accept

    public <T> T accept(PlacementConstraint.Visitor<T> visitor)
    Description copied from interface: `PlacementConstraint.Visitable`
    Visitor pattern.
    Type Parameters:
      `T` - defines the type that the visitor will use and the return type of the accept.
    Parameters:
      `visitor` - visitor to be used
    Returns:
      the result of visiting a given object.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `PlacementConstraint.AbstractConstraint`